<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/gpio.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gpio.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d7c/gpio_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __GPIO_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __GPIO_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5df1f52a4cc540fc739f23056584a04">   32</a></span><span class="preprocessor">#define GPIO_PIN_MAX    16   </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">/*  PMD Constant Definitions                                                                               */</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d91458a02db1f2b71122aee8b4da690">   37</a></span><span class="preprocessor">#define GPIO_PMD_INPUT              0x0UL                  </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga903d206776eed930eb08a97bfde30f21">   38</a></span><span class="preprocessor">#define GPIO_PMD_OUTPUT             0x1UL                  </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga17b71982106eb55ac53e679545791475">   39</a></span><span class="preprocessor">#define GPIO_PMD_OPEN_DRAIN         0x2UL                  </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">/*  GPIO Interrupt Type Constant Definitions                                                               */</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad5791d8505fbdc44f396d3fc28b6e4da">   44</a></span><span class="preprocessor">#define GPIO_INT_RISING             0x00010000UL </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d98bc44ec5133557802867a115d7072">   45</a></span><span class="preprocessor">#define GPIO_INT_FALLING            0x00000001UL </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5ffe006072684a30050871e0f4fb5e6">   46</a></span><span class="preprocessor">#define GPIO_INT_BOTH_EDGE          0x00010001UL </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad80cfa2205ca60d3427bed52f9f43975">   47</a></span><span class="preprocessor">#define GPIO_INT_HIGH               0x01010000UL </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c01afe7764ed035acb9aab07add5f5a">   48</a></span><span class="preprocessor">#define GPIO_INT_LOW                0x01000001UL </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment">/*  IMD Constant Definitions                                                                               */</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga99978dda3737152046e4418647d2e9e1">   53</a></span><span class="preprocessor">#define GPIO_IMD_EDGE               0UL               </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3c70f883f26690cbf440d438a5d39085">   54</a></span><span class="preprocessor">#define GPIO_IMD_LEVEL              1UL               </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment">/*  DBNCECON Constant Definitions                                                                          */</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga49989b6c9afdfb3fc837a62b2ae8bff5">   59</a></span><span class="preprocessor">#define GPIO_ICLK_ON           0x00000020UL </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d5f0fadc7760a90cee83e48bad0d872">   60</a></span><span class="preprocessor">#define GPIO_ICLK_OFF          0x00000000UL </span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga03bdb432a828aea9535633939bcf04be">   62</a></span><span class="preprocessor">#define GPIO_DBCLKSRC_IRC10K   0x00000010UL </span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga33675784dd079fff59e3cb347dc83037">   63</a></span><span class="preprocessor">#define GPIO_DBCLKSRC_HCLK     0x00000000UL </span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8e121b97aaee3cc7a65efcc2521ea325">   65</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_1        0x00000000UL </span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga098a478a2c37790a203a405ed8426e75">   66</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_2        0x00000001UL </span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4ddb4385e4f96d8e25526a0d87c8089c">   67</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_4        0x00000002UL </span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga711a515e412b29842102f92cde19d94c">   68</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_8        0x00000003UL </span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacd7671144fc34450e85f317c52f6993d">   69</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_16       0x00000004UL </span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0168eccb4c405b5d5f20f8e3efc21d5b">   70</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_32       0x00000005UL </span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4824e5775aefdd8f0e57c4e5e7fb2986">   71</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_64       0x00000006UL </span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga332eb289f0f94210c7f9b689eba36809">   72</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_128      0x00000007UL </span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga73660dd62f922cc909a9d4efede39da7">   73</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_256      0x00000008UL </span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6ba25c94f4ca1ea6c256bbb909cf0a75">   74</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_512      0x00000009UL </span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga01836f43502a1720cf07261d785fdad0">   75</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_1024     0x0000000AUL </span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5af912aa8bd7c2079bcf31c084f4ef64">   76</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_2048     0x0000000BUL </span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6f763df761bf8ee65579e378f9984368">   77</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_4096     0x0000000CUL </span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad28f5514087a892c851b881c7d6835f3">   78</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_8192     0x0000000DUL </span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab1411da38c1c752e786e40b0844d4647">   79</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_16384    0x0000000EUL </span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10c65de53e7a19ab7874fe7041610514">   80</a></span><span class="preprocessor">#define GPIO_DBCLKSEL_32768    0x0000000FUL </span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaba17f4ecdf3b62669dff58d0a574dc8e">   96</a></span><span class="preprocessor">#define GPIO_PIN_ADDR(port, pin)    (*((volatile uint32_t *)((GPIO_PIN_DATA_BASE+(0x40*(port))) + ((pin)&lt;&lt;2))))</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae4f69bd92740bac44000d0cc294b9ba0">   97</a></span><span class="preprocessor">#define PA0             GPIO_PIN_ADDR(0, 0)  </span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae8f7db7637a17e5e0b767cfc87a0dfb4">   98</a></span><span class="preprocessor">#define PA1             GPIO_PIN_ADDR(0, 1)  </span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4427ffbad8666b2606d457f960a31a63">   99</a></span><span class="preprocessor">#define PA2             GPIO_PIN_ADDR(0, 2)  </span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf21e41e3dd2653a916a846035745c723">  100</a></span><span class="preprocessor">#define PA3             GPIO_PIN_ADDR(0, 3)  </span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab79e360f456a149d39aeeb670e73ce9f">  101</a></span><span class="preprocessor">#define PA4             GPIO_PIN_ADDR(0, 4)  </span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga462d6ddba0f7cc4b93e9d5647fe0c576">  102</a></span><span class="preprocessor">#define PA5             GPIO_PIN_ADDR(0, 5)  </span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadaab1d0c061d12c9892583c9591a70af">  103</a></span><span class="preprocessor">#define PA6             GPIO_PIN_ADDR(0, 6)  </span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad55f1ce2962d3a43aeed74b5459214f6">  104</a></span><span class="preprocessor">#define PA7             GPIO_PIN_ADDR(0, 7)  </span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga969667befa36c5e78680ea7e6a7aff9d">  105</a></span><span class="preprocessor">#define PA8             GPIO_PIN_ADDR(0, 8)  </span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga95a1b1df23a9be8455be24e27834a027">  106</a></span><span class="preprocessor">#define PA9             GPIO_PIN_ADDR(0, 9)  </span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga63b2b80b37e2a824ef8d9db8b785685f">  107</a></span><span class="preprocessor">#define PA10            GPIO_PIN_ADDR(0, 10) </span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0f1415b57acf3df436e242e9bd73eb92">  108</a></span><span class="preprocessor">#define PA11            GPIO_PIN_ADDR(0, 11) </span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5a37946befad975c7465ae15cbaf4f8a">  109</a></span><span class="preprocessor">#define PA12            GPIO_PIN_ADDR(0, 12) </span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2f2332c6bd537e26021379427422e027">  110</a></span><span class="preprocessor">#define PA13            GPIO_PIN_ADDR(0, 13) </span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4c6f991438de8605edafd8236fc5810f">  111</a></span><span class="preprocessor">#define PA14            GPIO_PIN_ADDR(0, 14) </span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7e6815d75a7575c6b11ba7d91cd0326f">  112</a></span><span class="preprocessor">#define PA15            GPIO_PIN_ADDR(0, 15) </span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacb0f9abbadb16a66065b04c9e43b8f41">  114</a></span><span class="preprocessor">#define PB0             GPIO_PIN_ADDR(1, 0)  </span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga37eb042c0715e6f809fb8677b8805f57">  115</a></span><span class="preprocessor">#define PB1             GPIO_PIN_ADDR(1, 1)  </span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaedce709abd1cf8bfd0e5b5db39a1b789">  116</a></span><span class="preprocessor">#define PB2             GPIO_PIN_ADDR(1, 2)  </span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9531e9d4cc06b4d72823afe3b2f632f5">  117</a></span><span class="preprocessor">#define PB3             GPIO_PIN_ADDR(1, 3)  </span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab83e6008e4e414ae85649868cef48fa7">  118</a></span><span class="preprocessor">#define PB4             GPIO_PIN_ADDR(1, 4)  </span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga45330be186503e07b66aa31c263bb021">  119</a></span><span class="preprocessor">#define PB5             GPIO_PIN_ADDR(1, 5)  </span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7a6be6e252068c01d5b64112b5ebd608">  120</a></span><span class="preprocessor">#define PB6             GPIO_PIN_ADDR(1, 6)  </span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab2169364d166745179c7d0f102f72bee">  121</a></span><span class="preprocessor">#define PB7             GPIO_PIN_ADDR(1, 7)  </span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1fad9eacd1e316b967150e518a2fe803">  122</a></span><span class="preprocessor">#define PB8             GPIO_PIN_ADDR(1, 8)  </span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4af39d088e613e19f1fada04cbaacb6f">  123</a></span><span class="preprocessor">#define PB9             GPIO_PIN_ADDR(1, 9)  </span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga918709b8b499a0646056a1239346140a">  124</a></span><span class="preprocessor">#define PB10            GPIO_PIN_ADDR(1, 10) </span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3f9f5e2d02887df81fe4dd3325d01ebe">  125</a></span><span class="preprocessor">#define PB11            GPIO_PIN_ADDR(1, 11) </span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3013294c02c9da89af8f8679651d5baf">  126</a></span><span class="preprocessor">#define PB12            GPIO_PIN_ADDR(1, 12) </span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9f5b300e6e033bab62f5726353534127">  127</a></span><span class="preprocessor">#define PB13            GPIO_PIN_ADDR(1, 13) </span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaebd40b824541b0602fa643d68ed5e818">  128</a></span><span class="preprocessor">#define PB14            GPIO_PIN_ADDR(1, 14) </span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0c2374aea71a085c84265d66682a7785">  129</a></span><span class="preprocessor">#define PB15            GPIO_PIN_ADDR(1, 15) </span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf6d16c78de095cc5cd9348cf5b3a23a0">  131</a></span><span class="preprocessor">#define PC0             GPIO_PIN_ADDR(2, 0)  </span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga80c1809d8f85e2e225704dcf89434202">  132</a></span><span class="preprocessor">#define PC1             GPIO_PIN_ADDR(2, 1)  </span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf137875e5856d0823d90df130ed60216">  133</a></span><span class="preprocessor">#define PC2             GPIO_PIN_ADDR(2, 2)  </span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab80df1cb2921c666868e178326e938ce">  134</a></span><span class="preprocessor">#define PC3             GPIO_PIN_ADDR(2, 3)  </span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga022a7d959dcbf745fe3dd8d63ba87d7e">  135</a></span><span class="preprocessor">#define PC4             GPIO_PIN_ADDR(2, 4)  </span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0201c89bdbc34676987108078b51ea18">  136</a></span><span class="preprocessor">#define PC5             GPIO_PIN_ADDR(2, 5)  </span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaea08c09063c5962f8f60044f1829d54c">  137</a></span><span class="preprocessor">#define PC6             GPIO_PIN_ADDR(2, 6)  </span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1194403dd24b90c5af73482c52ad1360">  138</a></span><span class="preprocessor">#define PC7             GPIO_PIN_ADDR(2, 7)  </span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0dd87cbc19b75b551050fd4680b90685">  139</a></span><span class="preprocessor">#define PC8             GPIO_PIN_ADDR(2, 8)  </span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa017c91a6a01b562e303bf12d9ba5004">  140</a></span><span class="preprocessor">#define PC9             GPIO_PIN_ADDR(2, 9)  </span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8b9f52e9ec0dc6e84685b56f36df69b1">  141</a></span><span class="preprocessor">#define PC10            GPIO_PIN_ADDR(2, 10) </span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae0700a458b80ba247eb332afd2bab200">  142</a></span><span class="preprocessor">#define PC11            GPIO_PIN_ADDR(2, 11) </span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaec8b39d7afaab66d49c2475fae9332de">  143</a></span><span class="preprocessor">#define PC12            GPIO_PIN_ADDR(2, 12) </span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga57c039ab46fc694acda35ef5e09605f3">  144</a></span><span class="preprocessor">#define PC13            GPIO_PIN_ADDR(2, 13) </span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga622a6c31e552d907ef77c306bc46e4b4">  145</a></span><span class="preprocessor">#define PC14            GPIO_PIN_ADDR(2, 14) </span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga37c8c46ca353971680462112bb670766">  146</a></span><span class="preprocessor">#define PC15            GPIO_PIN_ADDR(2, 15) </span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2da2cbd727462bcb90cd27297b592723">  148</a></span><span class="preprocessor">#define PD0             GPIO_PIN_ADDR(3, 0)  </span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga71d0fb161aaa562abef3c05eca683e5f">  149</a></span><span class="preprocessor">#define PD1             GPIO_PIN_ADDR(3, 1)  </span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad40e63596a3798cd745c2722b84a54ec">  150</a></span><span class="preprocessor">#define PD2             GPIO_PIN_ADDR(3, 2)  </span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga49f905bdec77847ec7bf99045c67b4fc">  151</a></span><span class="preprocessor">#define PD3             GPIO_PIN_ADDR(3, 3)  </span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9354d3e997f198d58db7ce864a5171e6">  152</a></span><span class="preprocessor">#define PD4             GPIO_PIN_ADDR(3, 4)  </span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa614a23db7d81aaea22d54df6cec59b7">  153</a></span><span class="preprocessor">#define PD5             GPIO_PIN_ADDR(3, 5)  </span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa1bdfe98b68dc6bf0934403577a69402">  154</a></span><span class="preprocessor">#define PD6             GPIO_PIN_ADDR(3, 6)  </span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3e427eea4be9cc64631d579b0d4c13ce">  155</a></span><span class="preprocessor">#define PD7             GPIO_PIN_ADDR(3, 7)  </span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9d37e16578644b100ea9b253da3f665f">  156</a></span><span class="preprocessor">#define PD8             GPIO_PIN_ADDR(3, 8)  </span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7862bdbd32769bee6d30e41bd1d6d502">  157</a></span><span class="preprocessor">#define PD9             GPIO_PIN_ADDR(3, 9)  </span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6f205e4bda9ed3567e9e013fa5fb84fd">  158</a></span><span class="preprocessor">#define PD10            GPIO_PIN_ADDR(3, 10) </span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabf5d97c014e140cf538f7826e1ed9b6e">  159</a></span><span class="preprocessor">#define PD11            GPIO_PIN_ADDR(3, 11) </span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga94c9d6cd1401f22f5bfd05fdb98d47cd">  160</a></span><span class="preprocessor">#define PD12            GPIO_PIN_ADDR(3, 12) </span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5887a8351ca55910848d9d08fb70070c">  161</a></span><span class="preprocessor">#define PD13            GPIO_PIN_ADDR(3, 13) </span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaff4a90550a935c732573defc139face0">  162</a></span><span class="preprocessor">#define PD14            GPIO_PIN_ADDR(3, 14) </span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22e20020afab332b2a159646f00b4c0d">  163</a></span><span class="preprocessor">#define PD15            GPIO_PIN_ADDR(3, 15) </span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab9438454509c495abb6f0dac60d7ac02">  165</a></span><span class="preprocessor">#define PE0             GPIO_PIN_ADDR(4, 0)  </span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b333e81f2f724f5d0f6ff557f3a0b49">  166</a></span><span class="preprocessor">#define PE1             GPIO_PIN_ADDR(4, 1)  </span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab9f47403c8a3489beafcac840b8fff7d">  167</a></span><span class="preprocessor">#define PE2             GPIO_PIN_ADDR(4, 2)  </span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1ef39ee2274d28bab6daa26359630c57">  168</a></span><span class="preprocessor">#define PE3             GPIO_PIN_ADDR(4, 3)  </span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabb6b16838b53dad61c1d8dfe066c0b10">  169</a></span><span class="preprocessor">#define PE4             GPIO_PIN_ADDR(4, 4)  </span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9c85186bd316d7220adb5ec975aa9c86">  170</a></span><span class="preprocessor">#define PE5             GPIO_PIN_ADDR(4, 5)  </span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e00626fbeb2ae06fc441483b3e5a649">  171</a></span><span class="preprocessor">#define PE6             GPIO_PIN_ADDR(4, 6)  </span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8f2ab48e1ccdc0cb9d24f0964f5071ce">  172</a></span><span class="preprocessor">#define PE7             GPIO_PIN_ADDR(4, 7)  </span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaec3fc41034ff183258f14c344eecb654">  173</a></span><span class="preprocessor">#define PE8             GPIO_PIN_ADDR(4, 8)  </span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae9d2d98f73348ed3dbad923e4b6c9d39">  174</a></span><span class="preprocessor">#define PE9             GPIO_PIN_ADDR(4, 9)  </span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a790e005d7a9d0306cecc588a636e45">  176</a></span><span class="preprocessor">#define PF0             GPIO_PIN_ADDR(5, 0)  </span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa102a8d56d218f588b988db1b91fac4b">  177</a></span><span class="preprocessor">#define PF1             GPIO_PIN_ADDR(5, 1)  </span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga227e5ada9112eaed4183962f81f0e519">  178</a></span><span class="preprocessor">#define PF2             GPIO_PIN_ADDR(5, 2)  </span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab3c2851ff4fe9aa2aede61fbd851dff6">  179</a></span><span class="preprocessor">#define PF3             GPIO_PIN_ADDR(5, 3)  </span></div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3176b519ead75d2557d908b5e60893d6">  180</a></span><span class="preprocessor">#define PF4             GPIO_PIN_ADDR(5, 4)  </span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../d4/db2/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8c5bb0059f6d7734939a39a2ce8ee172">  181</a></span><span class="preprocessor">#define PF5             GPIO_PIN_ADDR(5, 5)   </span><span class="comment">/* end of group NANO1X2_GPIO_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga23fa7d30838af4e7a8de44bb35be6dd3">  199</a></span><span class="preprocessor">#define GPIO_CLR_INT_FLAG(gpio, u32PinMask)   ((gpio)-&gt;ISRC = u32PinMask)</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span> </div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7256010ba4e37ff39116f81362380320">  211</a></span><span class="preprocessor">#define GPIO_DISABLE_DEBOUNCE(gpio, u32PinMask)   ((gpio)-&gt;DBEN &amp;= ~u32PinMask)</span></div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa54243397fb256e334b539f88b909368">  223</a></span><span class="preprocessor">#define GPIO_ENABLE_DEBOUNCE(gpio, u32PinMask)    ((gpio)-&gt;DBEN |= u32PinMask)</span></div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span> </div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0c55a617441ab37ad3cfcc48b76750c7">  235</a></span><span class="preprocessor">#define GPIO_DISABLE_DIGITAL_PATH(gpio, u32PinMask)   ((gpio)-&gt;OFFD |= (u32PinMask &lt;&lt; 16))</span></div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6646dfe12cd282e794d9014ae2e4e288">  247</a></span><span class="preprocessor">#define GPIO_ENABLE_DIGITAL_PATH(gpio, u32PinMask)    ((gpio)-&gt;OFFD &amp;= ~(u32PinMask &lt;&lt; 16))</span></div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span> </div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8669eac8b3df39a965716a1f5cf6484b">  259</a></span><span class="preprocessor">#define GPIO_DISABLE_DOUT_MASK(gpio, u32PinMask)   ((gpio)-&gt;DMASK &amp;= ~u32PinMask)</span></div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span> </div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55907a319de4957e7f795d0acb32b7fc">  271</a></span><span class="preprocessor">#define GPIO_ENABLE_DOUT_MASK(gpio, u32PinMask)    ((gpio)-&gt;DMASK |= u32PinMask)</span></div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span> </div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga109372c88c155995a0f917b75d33e6d3">  284</a></span><span class="preprocessor">#define GPIO_GET_INT_FLAG(gpio, u32PinMask)   ((gpio)-&gt;ISRC &amp; u32PinMask)</span></div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span> </div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacce6e14f1bc0290d3869489b85c762aa">  304</a></span><span class="preprocessor">#define GPIO_SET_DEBOUNCE_TIME(u32ClkSrc, u32ClkSel)  (GPIO-&gt;DBNCECON = (GP_DBNCECON_DBCLK_ON_Msk | u32ClkSrc | u32ClkSel))</span></div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span> </div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga999217028415ac36f6ce605533c85cad">  315</a></span><span class="preprocessor">#define GPIO_GET_IN_DATA(gpio)   ((gpio)-&gt;PIN)</span></div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span> </div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga965ebd6cde409110aa9e1652ce12e78c">  327</a></span><span class="preprocessor">#define GPIO_SET_OUT_DATA(gpio, u32Data)   ((gpio)-&gt;DOUT = (u32Data))</span></div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span> </div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaa6d743dfa74335513ff6b5d83af279c">  339</a></span><span class="preprocessor">#define GPIO_DISABLE_PULL_UP(gpio, u32PinMask)   ((gpio)-&gt;PUEN &amp;= ~u32PinMask)</span></div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span> </div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga12d254f4b5b557d137dee14c395fa012">  351</a></span><span class="preprocessor">#define GPIO_ENABLE_PULL_UP(gpio, u32PinMask)    ((gpio)-&gt;PUEN |= u32PinMask)</span></div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span> </div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21894d4e8915c4972879d998965e3f35">  362</a></span><span class="preprocessor">#define GPIO_TOGGLE(u32Pin)   ((u32Pin) ^= 1)</span></div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span> </div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga851e08641f159b726e3d2fa7e4b526d1">  376</a></span><span class="preprocessor">#define GPIO_EnableEINT0    GPIO_EnableInt</span></div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span> </div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span> </div>
<div class="line"><a id="l00389" name="l00389"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa08979f1765ac4fb8d9645195908c7b1">  389</a></span><span class="preprocessor">#define GPIO_DisableEINT0   GPIO_DisableInt</span></div>
<div class="line"><a id="l00390" name="l00390"></a><span class="lineno">  390</span> </div>
<div class="line"><a id="l00391" name="l00391"></a><span class="lineno">  391</span> </div>
<div class="line"><a id="l00404" name="l00404"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ae3cf2bb3e70c18761f85c0fa5b4ce7">  404</a></span><span class="preprocessor">#define GPIO_EnableEINT1    GPIO_EnableInt</span></div>
<div class="line"><a id="l00405" name="l00405"></a><span class="lineno">  405</span> </div>
<div class="line"><a id="l00406" name="l00406"></a><span class="lineno">  406</span> </div>
<div class="line"><a id="l00417" name="l00417"></a><span class="lineno"><a class="line" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga77faa5872ca2babb523c15d199e1e484">  417</a></span><span class="preprocessor">#define GPIO_DisableEINT1   GPIO_DisableInt</span></div>
<div class="line"><a id="l00418" name="l00418"></a><span class="lineno">  418</span> </div>
<div class="line"><a id="l00419" name="l00419"></a><span class="lineno">  419</span> </div>
<div class="line"><a id="l00420" name="l00420"></a><span class="lineno">  420</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">GPIO_SetMode</a>(<a class="code hl_struct" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32PinMask, uint32_t u32Mode);</div>
<div class="line"><a id="l00421" name="l00421"></a><span class="lineno">  421</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a>(<a class="code hl_struct" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin, uint32_t u32IntAttribs);</div>
<div class="line"><a id="l00422" name="l00422"></a><span class="lineno">  422</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a>(<a class="code hl_struct" href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a> *gpio, uint32_t u32Pin);</div>
<div class="line"><a id="l00423" name="l00423"></a><span class="lineno">  423</span> </div>
<div class="line"><a id="l00424" name="l00424"></a><span class="lineno">  424</span> </div>
<div class="line"><a id="l00425" name="l00425"></a><span class="lineno">  425</span> <span class="comment">/* end of group NANO1X2_GPIO_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00427" name="l00427"></a><span class="lineno">  427</span> <span class="comment">/* end of group NANO1X2_GPIO_Driver */</span></div>
<div class="line"><a id="l00429" name="l00429"></a><span class="lineno">  429</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00431" name="l00431"></a><span class="lineno">  431</span> </div>
<div class="line"><a id="l00432" name="l00432"></a><span class="lineno">  432</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00433" name="l00433"></a><span class="lineno">  433</span>}</div>
<div class="line"><a id="l00434" name="l00434"></a><span class="lineno">  434</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00435" name="l00435"></a><span class="lineno">  435</span> </div>
<div class="line"><a id="l00436" name="l00436"></a><span class="lineno">  436</span><span class="preprocessor">#endif </span><span class="comment">//__GPIO_H__</span></div>
<div class="line"><a id="l00437" name="l00437"></a><span class="lineno">  437</span> </div>
<div class="line"><a id="l00438" name="l00438"></a><span class="lineno">  438</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga675532237c47dd6f69f325e27fd2e7e0"><div class="ttname"><a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga675532237c47dd6f69f325e27fd2e7e0">GPIO_DisableInt</a></div><div class="ttdeci">void GPIO_DisableInt(GPIO_T *gpio, uint32_t u32Pin)</div><div class="ttdoc">Disable GPIO interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da0/gpio_8c_source.html#l00082">gpio.c:82</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa2d25bd7fd805f81e465e5f2f0f43123"><div class="ttname"><a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123">GPIO_SetMode</a></div><div class="ttdeci">void GPIO_SetMode(GPIO_T *gpio, uint32_t u32PinMask, uint32_t u32Mode)</div><div class="ttdoc">Set GPIO operation mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da0/gpio_8c_source.html#l00040">gpio.c:40</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaec751ab5c00bcad980d782816df53cbd"><div class="ttname"><a href="../../d0/d47/group___n_a_n_o1_x2___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaec751ab5c00bcad980d782816df53cbd">GPIO_EnableInt</a></div><div class="ttdeci">void GPIO_EnableInt(GPIO_T *gpio, uint32_t u32Pin, uint32_t u32IntAttribs)</div><div class="ttdoc">Enable GPIO interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da0/gpio_8c_source.html#l00065">gpio.c:65</a></div></div>
<div class="ttc" id="astruct_g_p_i_o___t_html"><div class="ttname"><a href="../../d4/dff/struct_g_p_i_o___t.html">GPIO_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04074">Nano1X2Series.h:4075</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
